# OpenML dataset: langLog

https://www.openml.org/d/40593

## Structure

The dataset has the following file structure:

* `dataset/`
  * `tables/`
    * [`data.csv`](./dataset/tables/data.csv): CSV file with data
    * [`data.pq`](./dataset/tables/data.pq): Parquet file with data
  * [`metadata.json`](./dataset/metadata.json): OpenML description of the dataset
  * [`features.json`](./dataset/features.json): OpenML description of table columns
  * [`qualities.json`](./dataset/qualities.json): OpenML qualities (meta-features)

## Description

The langLog dataset includes 1004 textual predictors and was originally compiled in the doctorial thesis of Read (2010). It consists of 956 text samples that can be assigned to one or more topics such as language, politics, errors, humor and computational linguistics. Note that the data on OpenML uses modified names for taget labels which were longer than 18 characters.

## Contributing

This is a [read-only mirror](https://gitlab.com/data/d/openml/40593) of an [OpenML dataset](https://www.openml.org/d/40593). Contribute any changes to the dataset there. Alternatively, [fork the dataset](https://gitlab.com/data/d/openml/40593/-/forks/new) or [find an existing fork](https://gitlab.com/data/d/openml/40593/-/forks) to contribute to.

You can use [issues](https://gitlab.com/data/d/openml/40593/-/issues) to discuss the dataset and any issues.

For more information see [https://datagit.org/](https://datagit.org/).

